package dev.fyloz.colorrecipesexplorer.repository

import dev.fyloz.colorrecipesexplorer.model.account.Group
import dev.fyloz.colorrecipesexplorer.model.account.User
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface UserRepository : JpaRepository<User, Long> {
    fun existsByFirstNameAndLastName(firstName: String, lastName: String): Boolean

    fun findByFirstNameAndLastName(firstName: String, lastName: String): User?

    fun findAllByGroup(group: Group): Collection<User>

    fun findByIsDefaultGroupUserIsTrueAndGroupIs(group: Group): User
}

@Repository
interface GroupRepository : NamedJpaRepository<Group>
